core::posix::backtrace Namespace Reference

## Classes

class | Frame
| The Frame class models an individual frame of a backtrace. More...

## Typedefs

typedef std::function< bool(const Frame &frame)> | FrameHandler
| FrameHandler is the functor invoked for every frame of a backtrace.

## Functions

void | visit_with_handler (const FrameHandler &handler)
| visit_with_handler iterates the backtrace of the calling program, invoking the handler for every frame.

## Typedef Documentation

## FrameHandler

typedef std::function<bool(const Frame& frame)> core::posix::backtrace::FrameHandler

FrameHandler is the functor invoked for every frame of a backtrace.

A FrameHandler should return true if it wants to continue walking the stack or false otherwise.

Definition at line 106 of file backtrace.h.

## Function Documentation

## visit_with_handler()

void core::posix::backtrace::visit_with_handler | ( | const FrameHandler & | handler | ) |

visit_with_handler iterates the backtrace of the calling program, invoking the handler for every frame.

A FrameHandler should return true if it wants to continue walking the stack or false otherwise

Parameters

  handler | The handler invoked for every frame.

Definition at line 125 of file backtrace.cpp.